Subject: Re: FVWM: trouble building fvwm-2.2.4 with xpm

From: Pete Forman <[email-masked]>
Date: Tue, 1 Feb 2000 13:09:03 +0000 (GMT)

Paul D. Smith writes:
 > I'll bet it's the header that wasn't found.  By tradition, X
 > headers are #included in the code as <X11/xpm.h>.  That means that
 > whatever directory you gave to --with-xpm-includes, the compiler
 > will add "/X11/xpm.h" to it to find the header.  You gave
 > /u/asl/opt/usr/openwin/include/X11, so the compiler will be looking
 > for /u/asl/opt/usr/openwin/include/X11/X11/xpm.h (note two X11's).
 > That probably doesn't exist.

I have in the past noticed a problem building and installing XPM.  The
header file was installed to something with a double 'X11' like
/usr/openwin/include/X11/X11/xpm.h.  A manual tidy up was needed to
move it to /usr/openwin/include/X11/xpm.h.  (The library and
executables were okay.)
-- 
Pete Forman
Western Geophysical
[email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked] (David S. Goldberg)
Date: 31 Jan 2000 13:21:27 -0500

It's been a while since I was bit by this same thing.  As I recall, my
solution was to set LD_RUN_PATH to include the Xpm lib directory.
That way the test program configure builds will run properly.
-- 
Dave Goldberg
Post: The Mitre Corporation\MS B325\202 Burlington Rd.\Bedford, MA 01730
Phone: 781-271-3887
Email: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].